Void an invoice
curl --request POST \
--url https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/invoices/{invoice_id}/void \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"email": "oliver@example.com",
"notes": "Issued in error"
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'oliver@example.com', notes: 'Issued in error'})
};
fetch('https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/invoices/{invoice_id}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/invoices/{invoice_id}/void"
payload = {
"email": "oliver@example.com",
"notes": "Issued in error"
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "INV-2026-042",
"status": "written_off",
"amount_paid": 0,
"balance": 2500
}Invoices
Void an invoice
Void a generated invoice by writing it off. Its status becomes written_off and it is no longer owed. The invoice and its billed work are kept.
POST
/
clients
/
{client_id}
/
invoices
/
{invoice_id}
/
void
Void an invoice
curl --request POST \
--url https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/invoices/{invoice_id}/void \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"email": "oliver@example.com",
"notes": "Issued in error"
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'oliver@example.com', notes: 'Issued in error'})
};
fetch('https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/invoices/{invoice_id}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/invoices/{invoice_id}/void"
payload = {
"email": "oliver@example.com",
"notes": "Issued in error"
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "INV-2026-042",
"status": "written_off",
"amount_paid": 0,
"balance": 2500
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the client for which you want to retrieve or update details. Refer to Getting the Client ID section for detailed instructions.
Body
application/json
Response
OK - Invoice voided